# Organization API: Billing & Payouts: Mail

> The 3 Organization API operations for mail.

Source: https://docs.coritan.com/api/reference/organizations/billing-payouts/mail/

Part of [Billing & Payouts](/api/reference/organizations/billing-payouts/).

## Operations

| Method | Path | Summary |
| --- | --- | --- |
| GET | [`/api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/webhooks`](#op-get-api-v1-orgs-org-slug-mail-tenants-tenant-id-webhooks) | List webhooks |
| POST | [`/api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/webhooks`](#op-post-api-v1-orgs-org-slug-mail-tenants-tenant-id-webhooks) | Create webhook |
| DELETE | [`/api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/webhooks/{webhook_id}`](#op-delete-api-v1-orgs-org-slug-mail-tenants-tenant-id-webhooks-webhook-id) | Delete webhook |

### List webhooks {#op-get-api-v1-orgs-org-slug-mail-tenants-tenant-id-webhooks}

`GET /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/webhooks`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |
| `tenant_id` | path | integer | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Create webhook {#op-post-api-v1-orgs-org-slug-mail-tenants-tenant-id-webhooks}

`POST /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/webhooks`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |
| `tenant_id` | path | integer | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `url` | string | yes |
| `events` | array of string | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `201` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Delete webhook {#op-delete-api-v1-orgs-org-slug-mail-tenants-tenant-id-webhooks-webhook-id}

`DELETE /api/v1/orgs/{org_slug}/mail/tenants/{tenant_id}/webhooks/{webhook_id}`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `webhook_id` | path | integer | yes |
| `org_slug` | path | string | yes |
| `tenant_id` | path | integer | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |
